Subject: TCPXM

From: Alan Menegotto <[email-masked]>
Date: Tue, 15 Nov 2005 06:29:01 -0200

Hi.

I'm doing a graduation research where the goal is create a new protocol
in the linux kernel. The protocol choosen was TCPXM, an hybrid reliable
sender-initiated multicast/unicast aimed for small environment such as
grids.

In the last two months I studied the network subsystem, thinking about
how is the best way to struct the code, best structs, etc....

The source code will be based on source code of some other protocol
(like appletalk or ipx, for example).

Is this the right way to start the implementation? Do you have any
advices to me?

-- 
Thanks

Alan Menegotto